# Satın Alma

`buy` komutu ile proxy siparişi oluşturabilirsiniz.

{% code title="GET" overflow="wrap" %}

```
https://my.proxynet.io/api/buy?ip_type=[IP_TYPE_ID]&location=[LOCATION_ID]&protocol=[PROTOCOL]&period=[PERIOD_TIME]&target_urls=[TARGET_URLS]&quantity=[QUANTITY]&username=[PROXY_USERNAME]&password=[PROXY_PASSWORD]&key=[YOUR_API_KEY]
```

{% endcode %}

<table><thead><tr><th>Parametre</th><th>Açıklama</th><th data-hidden></th><th data-hidden></th><th data-hidden></th></tr></thead><tbody><tr><td>YOUR_API_KEY</td><td>Size özel tahsis edilmiş API keyiniz</td><td></td><td></td><td></td></tr><tr><td>ID_TYPE_ID</td><td>IP Türü ID'si</td><td></td><td></td><td></td></tr><tr><td>LOCATION_ID</td><td>Lokasyon ID'si</td><td></td><td></td><td></td></tr><tr><td>PERIOD</td><td>Periyot/Süre</td><td></td><td></td><td></td></tr><tr><td>PROTOCOL</td><td>Protokol</td><td></td><td></td><td></td></tr><tr><td>TARGET_URLS</td><td>Stok kontrolü yapılmasını istediğiniz Target Host (example.com) x.com,y.com şeklinde aralara virgül koyarak çoklu sorgu yapabilirsiniz.</td><td></td><td></td><td></td></tr><tr><td>QUANTITY</td><td>Adet</td><td></td><td></td><td></td></tr><tr><td>USERNAME</td><td>Proxy Username</td><td></td><td></td><td></td></tr><tr><td>PASSWORD</td><td>Proxy Password</td><td></td><td></td><td></td></tr></tbody></table>

**Örnek Response**

<pre><code><strong>{
</strong>    "status": true,
    "user_id": 1,
    "balance": 310.26,
    "currency": "$",
    "message": "Order created successfully",
    "new_order": {
        "order_id": 6466,
        "ip_type_id": 3,
        "username": "proxynet",
        "password": "proxynet",
        "protocol": "HTTPS",
        "location": "Turkey",
        "active": true,
        "whitelist_ip": "none",
        "start_date": "02/02/2023 21:35:16",
        "end_date": "04/03/2023 21:35:15",
        "unix_start_date": 1675362916,
        "unix_end_date": 1677954915
    },
    "order_proxies": [
        {
            "ip_address": "194.1.1.1",
            "port": "29127",
            "domain": "tr.proxynet.io",
            "ip_type": "IPv6 Static",
            "proxy_user": "proxynet",
            "proxy_pass": "proxynet",
            "protocol": "HTTPS",
            "location": "Turkey",
            "active": true
        }
]
}


</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.proxynet.io/start/home/price-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
